<?php
/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/


require_once 'config.php';

echo "<html><head><title>AssetTrackDB - Add Asset</title>";
echo '<meta name="viewport" content="width=device-width; initial-scale=0.6; maximum-scale=1.0" />';
echo "<script src='sorttable.js'></script>";
echo "<script src='pop.js' type='text/javascript'></script>";
echo '<script type="text/javascript" src="jsdatepick-calendar/jquery.1.4.2.js"></script>';
echo '<script type="text/javascript" src="jsdatepick-calendar/jsDatePick.jquery.min.1.3.js"></script>';
echo '<link rel="stylesheet" type="text/css" media="all" href="jsdatepick-calendar/jsDatePick_ltr.min.css" />';
echo '<script type="text/javascript" src="cal.js"></script>';
echo "<link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">';
echo "</head><body class=\"page_bg\">";


//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
include 'includes/lrecent.php';
//--END Menu Code--

if(!empty($_GET["rppu"])){
      $rppu = $_GET["rppu"];
          if ($rppu=='All'){
              $rppu = '100000000';
          }
    $rpp = $rppu;
}
else{
$rpp = '50';
$rppu = '50';
}



if(!empty($_GET["query"])){
  $query = $_GET["query"];
}



//RPP SELECT CODE
echo '<table border=0><form action=recent.php method="GET">';
echo '<tr><td valign=top>Results To Show:</td><td>';
echo '<select name="rppu" onchange="this.form.submit();">';
echo "<option "; if ($rppu == '5') print 'selected '; echo "value='5'>5</option>";
echo "<option "; if ($rppu == '10') print 'selected '; echo "value='10'>10</option>";
echo "<option "; if ($rppu == '16') print 'selected '; echo "value='16'>16</option>";
echo "<option "; if ($rppu == '30') print 'selected '; echo "value='30'>30</option>";
echo "<option "; if ($rppu == '40') print 'selected '; echo "value='40'>40</option>";
echo "<option "; if ($rppu == '50') print 'selected '; echo "value='50'>50</option>";
echo "<option "; if ($rppu == '100') print 'selected '; echo "value='100'>100</option>";
echo "<option "; if ($rppu == '125') print 'selected '; echo "value='125'>125</option>";
echo "<option "; if ($rppu == '150') print 'selected '; echo "value='150'>150</option>";
echo "<option "; if ($rppu == '200') print 'selected '; echo "value='200'>200</option>";
echo "<option "; if ($rppu == '100000000') print 'selected '; echo "value='All'>All</option>";
echo "</select>";
echo '<input type="hidden" name="query" value="'; echo $query; echo '">';
//Needed to pass search variables
echo "</form></td>";

echo "</tr></table>";




echo "<center>";

if ($query == "raa"){
   $q1 = mysqli_query($_SESSION["link"], "SELECT * FROM asset ORDER BY creation_date DESC") or die(((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_error($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));

   echo "<table width='575'  style='text-align: left;' border='0' cellpadding='0' cellspacing='0'>";
   echo "<h3>Recently Added Assets</h3>";
   echo "<th class='std'><span class='special'>Name</th><th class='std'><span class='special'>Bar Code</th><th class='std'><span class='special'>Serial</th><th class='std'><span class='special'>Date Added</th>";
   $cnt = 0;
   while($cnt < $rppu) {
           $row = mysqli_fetch_array( $q1 );
           echo "<tr>";
           if ($row['name'] != ''){
                   echo "<td class='bot' width='175'>";
                   echo "<p class='fnt'><a href='display.php?name=";
                   echo $row['name'];
                   echo " '>";
                   echo $row['name'];
                   echo "</a>";
                   echo "</td><td class='bot' width=85 align=left><p class='fnt'>";
                  echo $row['bar_code'];
                   echo "</td><td class='bot' width=120 align=left><p class='fnt'>";
                   echo $row['serial'];
                   echo "</td><td class='bot'><p class='fnt' align=left>";
                   echo $row['creation_date'];
                   echo "</td></tr>";
                   }
           $cnt++;
}
   echo "<tr><td colspan=3><b>Total: </b>$cnt</td></tr>";
   echo "</table>";

   }
elseif ($query == "rta"){
   $q1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker ORDER BY creation_date DESC") or die(((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_error($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
   $title = 'Recently Tracked Assets';

   echo "<table width='575'  style='text-align: left;' border='0' cellpadding='0' cellspacing='0'>";
   echo "<h3>Recently Tracked Assets</h3>";
   echo "<th class='std'><span class='special'>Name</th><th class='std'><span class='special'>Bar Code</th><th class='std'><span class='special'>Serial</th><th class='std'><span class='special'>Date Added<th class='std'><span class='special'>CO</th>";
   $cnt = 0;
   while($cnt < $rppu) {
           //Reset CO Status
           $costatus = '';
           $row = mysqli_fetch_array( $q1 );
           $te = $row['serial']; // Get Current Serial Number
           $result4 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE serial='$te'") or die(((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_error($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
           $row2 = mysqli_fetch_array( $result4 );

           if ($row2['name'] != ''){
                   echo "<tr>";
                   echo "<td class='bot' width='175'>";
                   echo "<p class='fnt'><a href='trackerv.php?name=";
                   echo $row2['name'];
                   echo " &showall=Yes'>";
                   echo $row2['name'];
                   echo "</a>";
                   echo "</td><td class='bot' width=85 align=left><p class='fnt'>";
                   echo $row2['bar_code'];
                   echo "</td><td class='bot' width=120 align=left><p class='fnt'>";
                   echo $row['serial'];
                   echo "</td><td class='bot'><p class='fnt' align=left>";
                   echo $row['creation_date'];
                   echo "</td><td class='bot' width=25 align=center><p class='fnt'>";
                   if ($row2['co_status'] == 1){
                     $costatus = 'Yes';
                   }
                   elseif ($row2['co_status'] == 0 AND $row2['name'] != ''){
                       $costatus = 'No';
                   }

                   echo $costatus;
                   echo "</td></tr>";
           }
           $cnt++;
}
   echo "<tr><td colspan=3><b>Total: </b>$cnt</td></tr>";
   echo "</table>";


}
elseif ($query == "rua"){
   $q1 = mysqli_query($_SESSION["link"], "SELECT * FROM asset ORDER BY updatetime DESC") or die(((is_object($GLOBALS["___mysqli_ston"])) ? mysqli_error($GLOBALS["___mysqli_ston"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
   $title = 'Recently Updated Assets';

   echo "<table width='600'  style='text-align: left;' border='0' cellpadding='0' cellspacing='0'>";
   echo "<h3>Recently Updated Assets</h3>";
   echo "<th class='std'><span class='special'>Name</th><th class='std'><span class='special'>Bar Code</th><th class='std'><span class='special'>Serial</th><th class='std'><span class='special'>Updated</th><th class='std'><span class='special'>By</th>";
   $cnt = 0;
   while($cnt < $rppu) {
           $row = mysqli_fetch_array( $q1 );
           echo "<tr>";
           if ($row['name'] != ''){
                   echo "<td class='bot' width='135'>";
                   echo "<p class='fnt'><a href='display.php?name=";
                   echo $row['name'];
                   echo " '>";
                   echo $row['name'];
                   echo "</a>";
                   echo "</td><td class='bot' width=85 align=left><p class='fnt'>";
                  echo $row['bar_code'];
                   echo "</td><td class='bot' width=120 align=left><p class='fnt'>";
                   echo $row['serial'];
                   echo "</td><td class='bot' width=130><p class='fnt' align=left>";
                   echo $row['updatetime'];
                   echo "</td><td class='bot'><p class='fnt' align=left>";
                   echo $row['updateby'];
                   echo "</td></tr>";
                   }
           $cnt++;
           }

   echo "<tr><td colspan=3><b>Total: </b>$cnt</td></tr>";
   echo "</table>";
}

echo "<br><br><br><br>";
include 'includes/footer.php';
echo '</center></center>';
include 'includes/userinfo.php';
echo "</body>";
echo "</html>";

?>
