<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2015  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/ 

echo "<html>"; 
echo "<head><title>AssetTrackDB - Asset Stats</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<script type="text/javascript" src="jquery.1.4.2.js"></script>'; 
echo '<script type="text/javascript" src="jsDatePick.jquery.min.1.3.js"></script>'; 
echo '<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />'; 
echo '<script type="text/javascript" src="cal.js"></script>'; 
echo "<link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head>"; 
echo "<body class=\"page_bg\">"; 

//--START Menu Code and PULL PHP 
include 'includes/menu.php'; 
include 'includes/pull.php'; 
//--END Menu Code-- 

//Query to get pages and count 
$result = mysqli_query($_SESSION["link"], "SELECT * FROM asset") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$total_records = mysqli_num_rows($result); 

$resultm = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`model`) FROM asset ORDER by model ASC;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
$resultb = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`brand`) FROM asset ORDER by brand ASC;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
$resultf = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`form`) FROM asset ORDER by form ASC;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
$resulto = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`owner`) FROM asset ORDER by owner ASC;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
$resultos = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`os`) FROM asset ORDER by os ASC;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 


$resultu = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`use1`) FROM asset;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 


$resultv = mysqli_query($_SESSION["link"], "SELECT DISTINCT(`vendor`) FROM asset;") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 

$now = time(); 
$age = null; 



$qb = "SELECT * FROM asset ORDER by pdate ASC"; 
$result2 = mysqli_query($_SESSION["link"], $qb); 



//AGE CODE - Calculate Age 
$qa = "SELECT * FROM asset"; 
$result1 = mysqli_query($_SESSION["link"], $qa); 
$nopdate = '0'; 
$cnt = '0'; 
$aa = '0'; 

while($row = mysqli_fetch_array( $result1 )) { 

        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 
           $nopdate++; 
        } 
        else { 
           $datep = strtotime($row['pdate']); 
           $datediff = $now - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 
		   $aa = $age + $aa; 
           $cnt++; 

        } 


} 
//echo "<br>"; 
//echo "With Pdate: "; echo $cnt; 
//echo "<br>"; 
//echo "AA: "; echo $aa; 
//echo "<br>"; 
//echo "Average: "; echo $aa / $cnt; 

//END AGE Calculation CODE 

echo '<br>'; 
echo '<center>'; 

echo '<table border=0>'; 
echo '<tr><td>'; 
echo '<div class="special" id=dc>'; 
echo 'Total Number of Assets: '; 
echo '</div>'; 
echo '</td><td><div class="special" id=pbf>';
echo $total_records;
echo '</div></td></tr>'; 
echo '</table>'; 

echo '<br>'; 

echo '<div id=dc class="special">Number of Assets...</div>';

echo '<table border=0 cellpadding=10><tr>';
echo '<td valign=top>'; 

echo '<div id=dcs class="special">By Brand</div>';
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Brand</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resultb )) { 
       if ($row1['brand'] == ''){ 
        $brand = $row1['brand']; 
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE brand='$brand'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $brand = $row1['brand']; 
        echo '<tr><td class=bot><b>';
        echo "<a href='asset_list.php?strict=yes&brand=" . $row1['brand'] . "'>"; 
        echo $row1['brand']; 
        echo "</a>";
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE brand='$brand'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3);
       $cnt ++; 
       echo "<td align=right class=bot>$total_r</td></tr>";
       } 
 } 
  echo '</tbody></table>';
  echo "<span id=dcss class='special'>Total Brands: </span>";
  echo $cnt; 

echo '</td><td valign=top>';

echo '<div id=dcs class="special">By Model</div>';
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Form</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resultm )) { 
       if ($row1['model'] == ''){ 
        $model = $row1['model']; 
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE model='$model'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else
       { 
        $model = $row1['model']; 
        echo '<tr><td class=bot><b>'; 
        echo "<a href='asset_list.php?strict=yes&model=" . $row1['model'] . "'>";         
        echo $row1['model']; 
        echo "</a>"; 
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE model='$model'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
           } 

 } 

  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total Models: </span>";
  echo $cnt;
/// 
/// 
echo '</td><td valign=top>'; 



echo '<div id=dcs class="special">By Form</div>';
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Form</th><th class=std>Number</th></tr>";
$cnt = '0';
while($row1 = mysqli_fetch_array( $resultf )) { 
       if ($row1['form'] == ''){ 
        $form = $row1['form'];
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE form='$form'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $form = $row1['form']; 
        echo '<tr><td class=bot><b>'; 
         
        echo "<a href='asset_list.php?strict=yes&form=" . $row1['form'] . "'>";         
        echo $row1['form'];
        echo "</a>"; 
         
         
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE form='$form'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
           }
 }
  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total Forms: </span>";
  echo $cnt; 
///
///
echo '</td><td valign=top>'; 

echo '<div id=dcs class="special">By Owner</div>'; 
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Owner</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resulto )) { 
       if ($row1['owner'] == ''){ 
        $owner = $row1['owner']; 
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE owner='$owner'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3);
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $owner = $row1['owner']; 
        echo '<tr><td class=bot><b>'; 
        echo "<a href='asset_list.php?strict=yes&owner=" . $row1['owner'] . "'>";
        echo $row1['owner']; 
        echo "</a>"; 
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE owner='$owner'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
           } 
 }
  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total Owners: </span>";
  echo $cnt; 
/// 
/// 
echo '</td><td valign=top>';

echo '<div id=dcs class="special">By OS</div>'; 
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>OS</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resultos )) { 
       if ($row1['os'] == ''){ 
        $os = $row1['os']; 
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE os='$os'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $os = $row1['os']; 
        echo '<tr><td class=bot><b>'; 
        echo "<a href='asset_list.php?strict=yes&os=" . $row1['os'] . "'>";
        echo $row1['os']; 
        echo "</a>"; 
        echo ":</td>"; 
		$os = addslashes($os);
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE os='$os'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
        } 
 } 
  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total OSs: </span>"; 
  echo $cnt; 
///
/// 
echo '</td><td valign=top>';

echo '<div id=dcs class="special">By Use</div>';
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Use</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resultu )) { 
       if ($row1['use1'] == ''){ 
        $use1 = $row1['use1'];
        echo '<tr><td class=bot><b>'; 
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE use1='$use1'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $use1 = $row1['use1']; 
        echo '<tr><td class=bot><b>'; 
        echo "<a href='asset_list.php?strict=yes&use=" . $row1['use1'] . "'>";         
        echo $row1['use1']; 
        echo "</a>"; 
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE use1='$use1'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
       } 
 }
  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total Uses: </span>"; 
  echo $cnt; 
/// 

echo '</td><td valign=top>'; 

echo '<div id=dcs class="special">By Vendor</div>';
echo "<table border=0 cellpadding='2' cellspacing='0' class='sortable'><tbody><tr><th class=std>Vendor</th><th class=std>Number</th></tr>"; 
$cnt = '0'; 
while($row1 = mysqli_fetch_array( $resultv )) { 
       if ($row1['vendor'] == ''){ 
        $vendor = $row1['vendor'];
        echo '<tr><td class=bot><b>';
        echo 'Blank: '; 
        echo "</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE vendor='$vendor'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false))); 
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       } 
       else 
       { 
        $vendor = $row1['vendor']; 
        echo '<tr><td class=bot><b>'; 
        echo "<a href='asset_list.php?strict=yes&vend=" . $row1['vendor'] . "'>"; 
        echo $row1['vendor']; 
        echo "</a>"; 
        echo ":</td>"; 
        $result3 = mysqli_query($_SESSION["link"], "SELECT * FROM asset WHERE vendor='$vendor'") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
       $total_r = mysqli_num_rows($result3); 
       echo "<td align=right class=bot>$total_r</td></tr>"; 
       $cnt++; 
       } 
 } 
  echo '</tbody></table>'; 
  echo "<span id=dcss class='special'>Total Vendors: </span>";
  echo $cnt; 

echo '</td></tr></table>'; 

//include 'includes/graph.php';1 
//GRAPH FUTURE INFO: http://stackoverflow.com/questions/10487796/jpgraph-error-http-headers-have-already-been-sent 

echo '</center>'; 


echo "<br><br><br>"; 
include 'includes/footer.php';
echo '</center></center>'; 
include 'includes/userinfo.php'; 
echo "</body>"; 
echo "</html>"; 
?>